.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered {
    color: #495057 !important;
}

.sidebar-item, #sidebar > div > div > li.sidebar-header {
    list-style: none;
}

a.user:hover {
    background-color: #3b7ddd;
    color: white;
}

a.logout:hover {
    background-color: #dc3545;
    color: white;
}

label:not(.form-check-label), .select2-results__group {
    font-size: 12px;
    margin-bottom: 3px;
}

div > span.text-danger {
    font-size: 13px;
}

.form-control[disabled], .select2-container--bootstrap-5.select2-container--disabled .select2-selection, .select2-container--bootstrap-5.select2-container--disabled.select2-container--focus .select2-selection {
    background-color: #f3f4f6;
}

.form-check-input:disabled~.form-check-label, .form-check-input[disabled]~.form-check-label {
    opacity: 1 !important;
}

.select2-container .select2-selection--single, .select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option {
    font-size: 14px;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--highlighted {
    background-color: #0d6efd;
    color: white;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]:not(.select2-results__option--highlighted) {
    color: inherit;
    background-color: inherit;
}

.select2-container--bootstrap-5.select2-container--disabled .select2-selection, .select2-container--bootstrap-5.select2-container--disabled.select2-container--focus .select2-selection {
    cursor: unset;
}

/* - */

.pt-05 {
    padding-top: 0.125rem !important;
}

.py-075r {
    padding-top: 0.75rem!important;
    padding-bottom: 0.75rem!important;
}

i.fa-solid:not(.fa-file-lines, .fa-pen, .fa-whatsapp) {
    margin-right: 5px;
}

/* colors */
.btn-check:active+.btn-outline-success, .btn-check:checked+.btn-outline-success, .btn-outline-success.active, .btn-outline-success.dropdown-toggle.show, .btn-outline-success:active, .btn-outline-success:hover {
    background-color: #28a745 !important;
}
.btn-outline-success:hover:not(:disabled):not(.disabled):not(.active) {
    color: white !important; 
}

.btn-check:active+.btn-outline-danger, .btn-check:checked+.btn-outline-danger, .btn-outline-danger.active, .btn-outline-danger.dropdown-toggle.show, .btn-outline-danger:active, .btn-outline-danger:hover {
    background-color: #dc3545 !important;
}
.btn-outline-danger:hover:not(:disabled):not(.disabled):not(.active) {
    color: white !important; 
}

/* form-floating */
.form-floating {
    position: relative;
}
.form-floating > .form-control,
.form-floating > .form-select {
    height: calc(3.5rem + 2px);
    padding: 1rem 0.75rem;
}
.form-floating > label {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    padding: 1rem 0.75rem;
    pointer-events: none;
    border: 1px solid transparent;
    transform-origin: 0 0;
    transition: opacity 0.1s ease-in-out, transform 0.1s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
    .form-floating > label {
        transition: none;
    }
}
.form-floating > .form-control::-moz-placeholder {
    color: transparent;
}
.form-floating > .form-control::placeholder {
    color: transparent;
}
.form-floating > .form-control:not(:-moz-placeholder-shown) {
    padding-top: 1.625rem;
    padding-bottom: 0.625rem;
}
.form-floating > .form-control:focus, .form-floating > .form-control:not(:placeholder-shown) {
    padding-top: 1.625rem;
    padding-bottom: 0.625rem;
}
.form-floating > .form-control:-webkit-autofill {
    padding-top: 1.625rem;
    padding-bottom: 0.625rem;
}
.form-floating > .form-select {
    padding-top: 1.625rem;
    padding-bottom: 0.625rem;
}
.form-floating > .form-control:not(:-moz-placeholder-shown) ~ label {
    opacity: 0.65;
    transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}
.form-floating > .form-control:focus ~ label,
.form-floating > .form-control:not(:placeholder-shown) ~ label,
.form-floating > .form-select ~ label {
    opacity: 0.65;
    transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}
.form-floating > .form-control:-webkit-autofill ~ label {
    opacity: 0.65;
    transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
}

.modal.fade {
    background: rgba(0, 0, 0, 0.5);
}
  
.modal-backdrop.fade {
    opacity: 0;
}